<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_GainOnRevaluationAndSaleOfInvestmentProperty" xlink:label="shaftesbury_GainOnRevaluationAndSaleOfInvestmentProperty" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_ChangeInValueOfInvestmentsAndOtherReceivables" xlink:label="shaftesbury_ChangeInValueOfInvestmentsAndOtherReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost" xlink:label="ifrs-full_FinanceIncomeCost" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_LossOnSaleOfInvestmentsAndSubsidiaries" xlink:label="shaftesbury_LossOnSaleOfInvestmentsAndSubsidiaries" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_InvestmentPropertyHeldForSale" xlink:label="shaftesbury_InvestmentPropertyHeldForSale" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:label="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NetAssetsLiabilities" xlink:label="ifrs-full_NetAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_ContributionFromNonControllingInterest" xlink:label="shaftesbury_ContributionFromNonControllingInterest" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_PaidToControlledEntities" xlink:label="shaftesbury_PaidToControlledEntities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_PurchaseAndDevelopmentOfPropertyClassifiedAsInvestingActivities" xlink:label="shaftesbury_PurchaseAndDevelopmentOfPropertyClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_SaleOfPropertyClassifiedAsInvestingActivities" xlink:label="shaftesbury_SaleOfPropertyClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_SaleOfAssociateClassifiedAsInvestingActivities" xlink:label="shaftesbury_SaleOfAssociateClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_LoansToJointVenturesAndAssociatesRepaymentReceivedClassifiedAsInvestingActivities" xlink:label="shaftesbury_LoansToJointVenturesAndAssociatesRepaymentReceivedClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_GrossProceedsFromDisposalOf25PerCentInterestInGroupSubsidiariesClassifiedAsFinancingActivities" xlink:label="shaftesbury_GrossProceedsFromDisposalOf25PerCentInterestInGroupSubsidiariesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_DescriptionOfAccountingPolicyForTradingProperty" xlink:label="shaftesbury_DescriptionOfAccountingPolicyForTradingProperty" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_DescriptionOfAccountingPolicyForOwnerOccupiedProperty" xlink:label="shaftesbury_DescriptionOfAccountingPolicyForOwnerOccupiedProperty" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_DisclosureOfPerformanceMeasures" xlink:label="shaftesbury_DisclosureOfPerformanceMeasures" />
    <loc xlink:type="locator" xlink:href="549300TTXXZ1SHUI0D54-2025-12-31.xsd#shaftesbury_DisclosureOfGrossProfit" xlink:label="shaftesbury_DisclosureOfGrossProfit" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GrossProfit" xlink:to="label_shaftesbury_ifrs-fullGrossProfit_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_GainOnRevaluationAndSaleOfInvestmentProperty" xlink:to="label_shaftesbury_shaftesburyGainOnRevaluationAndSaleOfInvestmentProperty_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_ChangeInValueOfInvestmentsAndOtherReceivables" xlink:to="label_shaftesbury_shaftesburyChangeInValueOfInvestmentsAndOtherReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="label_shaftesbury_ifrs-fullFinanceIncomeCost_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_LossOnSaleOfInvestmentsAndSubsidiaries" xlink:to="label_shaftesbury_shaftesburyLossOnSaleOfInvestmentsAndSubsidiaries_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_InvestmentPropertyHeldForSale" xlink:to="label_shaftesbury_shaftesburyInvestmentPropertyHeldForSale_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:to="label_shaftesbury_ifrs-fullNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NetAssetsLiabilities" xlink:to="label_shaftesbury_ifrs-fullNetAssetsLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_ContributionFromNonControllingInterest" xlink:to="label_shaftesbury_shaftesburyContributionFromNonControllingInterest_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_PaidToControlledEntities" xlink:to="label_shaftesbury_shaftesburyPaidToControlledEntities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_shaftesbury_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_PurchaseAndDevelopmentOfPropertyClassifiedAsInvestingActivities" xlink:to="label_shaftesbury_shaftesburyPurchaseAndDevelopmentOfPropertyClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_SaleOfPropertyClassifiedAsInvestingActivities" xlink:to="label_shaftesbury_shaftesburySaleOfPropertyClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_SaleOfAssociateClassifiedAsInvestingActivities" xlink:to="label_shaftesbury_shaftesburySaleOfAssociateClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_LoansToJointVenturesAndAssociatesRepaymentReceivedClassifiedAsInvestingActivities" xlink:to="label_shaftesbury_shaftesburyLoansToJointVenturesAndAssociatesRepaymentReceivedClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_shaftesbury_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_GrossProceedsFromDisposalOf25PerCentInterestInGroupSubsidiariesClassifiedAsFinancingActivities" xlink:to="label_shaftesbury_shaftesburyGrossProceedsFromDisposalOf25PerCentInterestInGroupSubsidiariesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_shaftesbury_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_shaftesbury_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_DescriptionOfAccountingPolicyForTradingProperty" xlink:to="label_shaftesbury_shaftesburyDescriptionOfAccountingPolicyForTradingProperty_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_DescriptionOfAccountingPolicyForOwnerOccupiedProperty" xlink:to="label_shaftesbury_shaftesburyDescriptionOfAccountingPolicyForOwnerOccupiedProperty_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_DisclosureOfPerformanceMeasures" xlink:to="label_shaftesbury_shaftesburyDisclosureOfPerformanceMeasures_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="shaftesbury_DisclosureOfGrossProfit" xlink:to="label_shaftesbury_shaftesburyDisclosureOfGrossProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_shaftesbury_ifrs-fullGrossProfit_Total" id="shaftesbury_ifrs-fullGrossProfit_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total gross profit</label>
    <label xlink:label="label_shaftesbury_shaftesburyGainOnRevaluationAndSaleOfInvestmentProperty_Standard" id="shaftesbury_shaftesburyGainOnRevaluationAndSaleOfInvestmentProperty_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gain on revaluation and sale of investment property</label>
    <label xlink:label="label_shaftesbury_shaftesburyChangeInValueOfInvestmentsAndOtherReceivables_Standard" id="shaftesbury_shaftesburyChangeInValueOfInvestmentsAndOtherReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Change in value of investments and other receivables</label>
    <label xlink:label="label_shaftesbury_ifrs-fullFinanceIncomeCost_Total" id="shaftesbury_ifrs-fullFinanceIncomeCost_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net finance costs</label>
    <label xlink:label="label_shaftesbury_shaftesburyLossOnSaleOfInvestmentsAndSubsidiaries_Standard" id="shaftesbury_shaftesburyLossOnSaleOfInvestmentsAndSubsidiaries_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Loss on sale of investments and subsidiaries</label>
    <label xlink:label="label_shaftesbury_shaftesburyInvestmentPropertyHeldForSale_Standard" id="shaftesbury_shaftesburyInvestmentPropertyHeldForSale_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Investment property held for sale</label>
    <label xlink:label="label_shaftesbury_ifrs-fullNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_Total" id="shaftesbury_ifrs-fullNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total non-current assets or disposal groups classified as held forsale</label>
    <label xlink:label="label_shaftesbury_ifrs-fullNetAssetsLiabilities_Total" id="shaftesbury_ifrs-fullNetAssetsLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net assets</label>
    <label xlink:label="label_shaftesbury_shaftesburyContributionFromNonControllingInterest_Standard" id="shaftesbury_shaftesburyContributionFromNonControllingInterest_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Contribution from non-controlling interest</label>
    <label xlink:label="label_shaftesbury_shaftesburyPaidToControlledEntities_Standard" id="shaftesbury_shaftesburyPaidToControlledEntities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Paid to controlled entities</label>
    <label xlink:label="label_shaftesbury_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="shaftesbury_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash inflow from operating activities</label>
    <label xlink:label="label_shaftesbury_shaftesburyPurchaseAndDevelopmentOfPropertyClassifiedAsInvestingActivities_Standard" id="shaftesbury_shaftesburyPurchaseAndDevelopmentOfPropertyClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase and development of property classified as investing activities</label>
    <label xlink:label="label_shaftesbury_shaftesburySaleOfPropertyClassifiedAsInvestingActivities_Standard" id="shaftesbury_shaftesburySaleOfPropertyClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Sale of property classified as investing activities</label>
    <label xlink:label="label_shaftesbury_shaftesburySaleOfAssociateClassifiedAsInvestingActivities_Standard" id="shaftesbury_shaftesburySaleOfAssociateClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Sale of associate classified as investing activities</label>
    <label xlink:label="label_shaftesbury_shaftesburyLoansToJointVenturesAndAssociatesRepaymentReceivedClassifiedAsInvestingActivities_Standard" id="shaftesbury_shaftesburyLoansToJointVenturesAndAssociatesRepaymentReceivedClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Loans to joint ventures and associates repayment received classified as investing activities</label>
    <label xlink:label="label_shaftesbury_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="shaftesbury_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash (outflow)/inflow from investing activities</label>
    <label xlink:label="label_shaftesbury_shaftesburyGrossProceedsFromDisposalOf25PerCentInterestInGroupSubsidiariesClassifiedAsFinancingActivities_Standard" id="shaftesbury_shaftesburyGrossProceedsFromDisposalOf25PerCentInterestInGroupSubsidiariesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gross proceeds from disposal of 25 per cent interest in Group subsidiaries classified as financing activities</label>
    <label xlink:label="label_shaftesbury_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="shaftesbury_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash inflow/(outflow) from financing activities</label>
    <label xlink:label="label_shaftesbury_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" id="shaftesbury_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net movement in cash and cash equivalents</label>
    <label xlink:label="label_shaftesbury_shaftesburyDescriptionOfAccountingPolicyForTradingProperty_Standard" id="shaftesbury_shaftesburyDescriptionOfAccountingPolicyForTradingProperty_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for Trading property</label>
    <label xlink:label="label_shaftesbury_shaftesburyDescriptionOfAccountingPolicyForOwnerOccupiedProperty_Standard" id="shaftesbury_shaftesburyDescriptionOfAccountingPolicyForOwnerOccupiedProperty_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for owner-occupied property</label>
    <label xlink:label="label_shaftesbury_shaftesburyDisclosureOfPerformanceMeasures_Standard" id="shaftesbury_shaftesburyDisclosureOfPerformanceMeasures_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of performance measures</label>
    <label xlink:label="label_shaftesbury_shaftesburyDisclosureOfGrossProfit_Standard" id="shaftesbury_shaftesburyDisclosureOfGrossProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of gross profit</label>
  </labelLink>
</linkbase>